Bug 416901 - qpidc build failure
qpidc build failure
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: qpidc (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Nuno Santos
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-08 17:46 EST by Oliver Falk
Modified: 2013-09-12 18:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-08 11:48:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Oliver Falk 2007-12-08 17:46:51 EST
Any chance you can have a look at this:

http://buildsys.zero42.at/koji/getfile?taskID=74883&name=build.log

Thx
Comment 1 Alan Conway 2007-12-10 09:54:11 EST
(In reply to comment #0)
> Any chance you can have a look at this:
> 
> http://buildsys.zero42.at/koji/getfile?taskID=74883&name=build.log
> 
> Thx

This looks like an issue with changes in boost v1.34 that was fixed very
recently, can you try with the latest trunk? If you still see the problem let me
know what linux distro/version and what version of boost you're using.
Comment 2 Oliver Falk 2007-12-10 11:20:30 EST
Well. Checked out trunk. Ran bootstrap, configure, make:

->
/usr/lib/gcc/alpha-redhat-linux/4.1.2/../../../../include/c++/4.1.2/bits/stl_vector.h:133:
  instantiated from ‘void std::_Vector_base<_Tp, _Alloc>::_M_deallocate(_Tp*,
size_t) [with _Tp = qpid::framing::SequenceNumber, _Alloc =
qpid::InlineAllocator<std::allocator<qpid::framing::SequenceNumber>, 2ul>]’
/usr/lib/gcc/alpha-redhat-linux/4.1.2/../../../../include/c++/4.1.2/bits/vector.tcc:144:
  instantiated from ‘std::vector<_Tp, _Alloc>& std::vector<_Tp,
_Alloc>::operator=(const std::vector<_Tp, _Alloc>&) [with _Tp =
qpid::framing::SequenceNumber, _Alloc =
qpid::InlineAllocator<std::allocator<qpid::framing::SequenceNumber>, 2ul>]’
./qpid/InlineVector.h:42:   instantiated from here
./qpid/InlineAllocator.h:65: warning: cast from ‘char*’ to
‘qpid::framing::SequenceNumber*’ increases required alignment of target type
make[1]: *** [gen/generate_MaxMethodBodySize_h.o] Error 1
make[1]: Leaving directory `/home/oliver/trunk/qpid/cpp/src'
make: *** [all-recursive] Error 1


Distro is Fedora 8 (more or less) for Alpha :-)

[oliver@gosa cpp]$ rpm -q boost
boost-1.34.1-5.fc8
Comment 3 Alan Conway 2007-12-12 15:05:06 EST
I could not reproduce this compile error on an i386 platform, it may
be an alpha-specific alignment issue. I've removed the offending cast
which should solve the problem - please confirm if it works.

There are some new valgrind errors showing up in F8, those have not yet been
fixed but everything builds & tests with valgrind off.

New Revision: 603719

URL: http://svn.apache.org/viewvc?rev=603719&view=rev
Log:
src/qpid/InlineAllocator.h: Removed cast, causing problems on alpha platform.
src/tests/unit_test.h: Added missing #include <boost/version.hpp>

Modified:
    incubator/qpid/trunk/qpid/cpp/src/qpid/InlineAllocator.h
    incubator/qpid/trunk/qpid/cpp/src/tests/unit_test.h
Comment 4 Alan Conway 2008-09-30 10:09:34 EDT
qpid has been building in Koji sucessfully for a while now, to verify check the current status of koji builds for qpid.
Comment 5 Bug Zapper 2008-11-26 03:55:19 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.